查询FBA货件箱子、卡板标签
POST
/erp/sc/storage/shipment/printFbaLabels接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/erp/sc/storage/shipment/printFbaLabels | HTTPS | POST | 1 |
请求参数
dataarray<object>必填隐藏子属性
shipment_idstring必填page_typestring必填numintegerpage_start_indexintegerhide_ship_from_company_nameintegerhide_ship_to_company_nameintegerprint_sta_name_pageintegersort_labelintegersort_by_packing_task_boxintegerprint_made_in_chinaintegerprint_product_numintegerprint_center_idintegerprint_fnskuintegerprint_product_nameintegerprint_packing_task_box_nointegertypestring必填is_return_urlinteger请求cURL示例
curl --location 'https://openapi.lingxing.com/erp/sc/storage/shipment/printFbaLabels?access_token=value×tamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
"data": [{
"shipment_id": "FBA16Q9LDF2X",
"page_type": "PackageLabel_Plain_Paper_CarrierBottom",
"page_start_index": 1,
"num": 2
}],
"hide_ship_from_company_name": 1,
"hide_ship_to_company_name": 1,
"print_sta_name_page": 1,
"sort_label": 1,
"sort_by_packing_task_box": 1,
"print_made_in_china": 1,
"print_product_num": 1,
"print_center_id": 1,
"print_fnsku": 1,
"print_product_name": 1,
"print_packing_task_box_no": 1,
"type": "card",
"is_return_url": 1
}'
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填totalinteger必填dataobject必填隐藏子属性
file_base64string必填file_urlstring必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "17036564-84C9-554E-5225-BEFE9A3733EC",
"response_time": "2022-07-04 18:40:49",
"total": 0,
"data": {
"file_url": "https://example.com/file.pdf"
}
}